/**
 * Informatique Industrielle et Java 
 * Projet complexes du chapitre1 pour illustrer l'utilisation 
 * d'interfaces
 * 
 * @author F. Mallet et F. Boeri
 * @version 1
 */
public class Complexe implements AComplexe
{
/**
 * Un Complexe est compose de 2 nombres reelles de type double
 * qui representent les parties reelle et imaginaire.
 */
	private double reelle, imaginaire;

	/**
	 * Constructor for objects of class Complexe
	 */
	public Complexe(double reelle, double imaginaire)
	{
		// initialise instance variables
		this.reelle = reelle; 
	    this.imaginaire = imaginaire;
	}

/**
 * @return la partie reelle du nombre complexe
 */
  public double partie_reelle() {
	return reelle; 
  }

/**
 * @return la partie imaginaire du nombre complexe
 */
  public double partie_imaginaire() { return imaginaire; }

/**
 * @return la norme du nombre complexe
 */
  public double norme() { 
      return Math.sqrt(reelle*reelle+imaginaire*imaginaire);
  }

/**
 * @return l'argument du nombre complexe
 */
  public double argument () {
	if (reelle==0) return (imaginaire>0?1:-1)*90;
	return Math.atan(imaginaire/reelle)*180/Math.PI;
  }
}
