/**
 * Informatique Industrielle et Java 
 * Projet complexes du chapitre1 pour illustrer l'utilisation 
 * d'interfaces
 * 
 * @author F. Mallet et F. Boeri
 * @version 1
 */
public class ComplexeExp implements AComplexe
{
    /**
     * Un ComplexeExp est compose de deux nombres reels de type double,
     * qui representent la norme et l'argument du nombre complexe
     */
    private double norme, argument;

    /**
     * Constructor for objects of class Complexe
     */
    public ComplexeExp(double norme, double argument)
    {
        // initialise instance variables
        this.norme = norme; 
        this.argument = argument;
    }

/**
 * @ return la partie reelle du nombre complexe
 */
  public double partie_reelle() { 
    return norme*Math.cos(argument*Math.PI/180); 
  }

/**
 * @ return la partie imaginaire du nombre complexe
 */
  public double partie_imaginaire() { 
    return norme*Math.sin(argument*Math.PI/180); 
  }

/**
 * @ return la norme du nombre complexe
 */
  public double norme() { return norme; }

/**
 * @ return l'argument du nombre complexe
 */
  public double argument () { return argument; }
}
